Index: /branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 763)
+++ /branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 764)
@@ -378,7 +378,4 @@
 #if H_3D_DIM
   ("DMM",                   m_useDMM,           true,  "Depth intra model modes")
-#if !SEC_DMM3_RBC_F0147
-  ("RBC",                   m_useRBC,           true,  "Region boundary chain mode")
-#endif
   ("SDC",                   m_useSDC,           true,  "Simplified depth coding")
   ("DLT",                   m_useDLT,           true,  "Depth lookup table")
@@ -523,9 +520,5 @@
 
 #if H_3D_IC
-#if SEC_ONLY_TEXTURE_IC_F0151
   ("IlluCompEnable",           m_abUseIC, true, "Enable illumination compensation")
-#else
-  ("IlluCompEnable",           m_abUseIC, std::vector<Bool>(2, true), "Enable illumination compensation")
-#endif
 #endif
 #if H_3D_INTER_SDC
@@ -2518,9 +2511,5 @@
 #endif
 #if H_3D_IC
-#if SEC_ONLY_TEXTURE_IC_F0151
   printf( "IlluCompEnable: %d ", m_abUseIC);
-#else
-  printf( "IlluCompEnable: %d %d ", m_abUseIC[0] ? 1 : 0, m_abUseIC[1] ? 1 : 0 );
-#endif
 #endif
 #if H_3D_NBDV_REF
@@ -2535,7 +2524,4 @@
 #if H_3D_DIM
   printf("DMM:%d ", m_useDMM );
-#if !SEC_DMM3_RBC_F0147
-  printf("RBC:%d ", m_useRBC );
-#endif
   printf("SDC:%d ", m_useSDC );
   printf("DLT:%d ", m_useDLT );
Index: /branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- /branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncCfg.h	(revision 763)
+++ /branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncCfg.h	(revision 764)
@@ -150,9 +150,5 @@
 #endif
 #if H_3D_IC
-#if SEC_ONLY_TEXTURE_IC_F0151
   Bool   m_abUseIC;
-#else
-  vector<Bool> m_abUseIC;                                    ///< flag for using illumination compensation for inter-view prediction
-#endif
 #endif
 #if H_3D_NBDV_REF
@@ -497,7 +493,4 @@
 #if H_3D_DIM
   Bool      m_useDMM;                                        ///< flag for using DMM
-#if !SEC_DMM3_RBC_F0147
-  Bool      m_useRBC;                                        ///< flag for using RBC
-#endif
   Bool      m_useSDC;                                        ///< flag for using SDC
   Bool      m_useDLT;                                        ///< flag for using DLT
Index: /branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- /branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncTop.cpp	(revision 763)
+++ /branches/HTM-9.2-dev0/source/App/TAppEncoder/TAppEncTop.cpp	(revision 764)
@@ -198,16 +198,9 @@
 #endif
 #if H_3D_IC
-#if SEC_ONLY_TEXTURE_IC_F0151
     m_cTEncTop.setUseIC                        ( vps.getViewIndex( layerId ) == 0 || isDepth ? false : m_abUseIC );
-#else
-    m_cTEncTop.setUseIC                        ( vps.getViewIndex( layerId ) == 0 ? false : m_abUseIC[isDepth ? 1 : 0] );
-#endif
 #endif
   //========== Depth intra modes ==========
 #if H_3D_DIM
     m_cTEncTop.setUseDMM                       ( isDepth ? m_useDMM               : false );
-#if !SEC_DMM3_RBC_F0147
-    m_cTEncTop.setUseRBC                       ( isDepth ? m_useRBC               : false );
-#endif
     m_cTEncTop.setUseSDC                       ( isDepth ? m_useSDC               : false );
     m_cTEncTop.setUseDLT                       ( isDepth ? m_useDLT               : false );
@@ -1997,9 +1990,5 @@
 
 #if H_3D_DIM
-#if SEC_DMM3_RBC_F0147
     vps.setVpsDepthModesFlag( layer, isDepth && !isLayerZero && (m_useDMM || m_useSDC || m_useDLT ) );
-#else
-    vps.setVpsDepthModesFlag( layer, isDepth && !isLayerZero && (m_useDMM || m_useRBC || m_useSDC || m_useDLT ) );
-#endif
 #if H_3D_DIM_DLT
 #if !DLT_DIFF_CODING_IN_PPS
Index: /branches/HTM-9.2-dev0/source/Lib/TLibCommon/ContextTables.h
===================================================================
--- /branches/HTM-9.2-dev0/source/Lib/TLibCommon/ContextTables.h	(revision 763)
+++ /branches/HTM-9.2-dev0/source/Lib/TLibCommon/ContextTables.h	(revision 764)
@@ -109,17 +109,7 @@
 #define NUM_DEPTH_INTRA_MODE_CTX      8       ///< number of context models for depth intra modes
 #define NUM_DDC_FLAG_CTX              2       ///< number of context models for deltaDC flag (DMM or RBC)
-#if QC_DIM_DELTADC_UNIFY_F0132
 #define NUM_DDC_DATA_CTX              1       ///< number of context models for deltaDC data (DMM or RBC)
-#else
-#define NUM_DDC_DATA_CTX              2       ///< number of context models for deltaDC data (DMM or RBC)
-#endif
 #if H_3D_DIM_DMM
 #define NUM_DMM1_DATA_CTX             1       ///< number of context models for DMM1 data
-#if !SEC_DMM3_RBC_F0147
-#define NUM_DMM3_DATA_CTX             1       ///< number of context models for DMM3 data
-#endif
-#endif
-#if H_3D_DIM_RBC
-#define NUM_RBC_DATA_CTX              1       ///< number of context models for RBC data
 #endif
 #endif
@@ -393,13 +383,7 @@
 INIT_IC_FLAG[3][NUM_IC_FLAG_CTX] =  
 {
-#if LGE_IC_CTX_F0160
     { 154,  154,  154, },
     { 154,  154,  154, },
     { 154,  154,  154, },
-#else
-  { CNU,  CNU,  CNU, }, 
-  { 197,  185,  201, }, 
-  { 197,  185,  201, }, 
-#endif
 };
 #endif
@@ -423,13 +407,7 @@
 INIT_DDC_DATA[3][NUM_DDC_DATA_CTX] = 
 {
-#if QC_DIM_DELTADC_UNIFY_F0132
-  { 154 }, 
-  { 154 }, 
-  { 154 }, 
-#else
-  { CNU, CNU }, 
-  { CNU, CNU }, 
-  { CNU, CNU }, 
-#endif
+  { 154 }, 
+  { 154 }, 
+  { 154 }, 
 };
 #if H_3D_DIM_DMM
@@ -441,22 +419,4 @@
   { CNU }, 
 };
-#if !SEC_DMM3_RBC_F0147
-static const UChar
-INIT_DMM3_DATA[3][NUM_DMM3_DATA_CTX] = 
-{
-  { CNU }, 
-  { CNU }, 
-  { CNU }, 
-};
-#endif
-#endif
-#if H_3D_DIM_RBC
-static const UChar
-INIT_RBC_DATA[3][NUM_RBC_DATA_CTX] = 
-{
-  { CNU }, 
-  { CNU }, 
-  { CNU }, 
-};
 #endif
 #if H_3D_DIM_SDC
